RSGP - Support #2571

[Mobile-API] ESS Attendance - Validasi clock in lintas hari
02/09/2024 01:18 PM - Johanes Christian Kurni

Status: Closed Start date: 02/09/2024
Priority: Immediate Due date: 02/09/2024
Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear

Azid,

mohon bantuannya untuk membuat validasi dengan detail sebagai berikut.
clock in lintas hari dengan attendance type yang sama bisa terjadi apabila. ClockIN tgl 1 tetapi tgl 2 nya tidak punya data clockin
atau clockOUT saat tgl 3 tidak bisa clockOUT untuk data clockIN tgl 1 karena sudah lewat 1 hari.

Server: remote.minovais.com, 1442
DB: MinovaES_RSGP_Dev

Terima Kasih.

History

#1 - 02/09/2024 03:00 PM - Kezia Pawitra Yulianti
- Due date set to 02/09/2024

- Status changed from New to Assigned

saya tambahin dikit ya:

selain ini: saat tgl 3 tidak bisa clockOUT untuk data clockIN tgl 1 karena sudah lewat 1 hari

tambahan nya adalah:

- saat tgl 3 mau clockIN, apapun attendance type nya bisa dilakukan. karena dianggap ini merupakan data absen baru (tidak ada kaitan dgn data
tanggal 1 yg baru ada clockIN saja)

- saat tgl 3 tidak bisa clockOUT untuk data clocklIN tgl 1 karena sudah lewat 1 hari dan juga karena alasan utama nya adalah karena saat tanggal 3
belum ada clockIN nya untuk tanggal 3 tsb (jadi kena validasi standar yaitu kalau mau clockOUT harus sudah ada clockIN nya terlebih dahulu dgn
attendance type yg sama)

Tks

#2 - 02/09/2024 04:16 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni
dear jo , udah bisa di test ya

makasih

#3 - 02/12/2024 04:06 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed

#4 - 02/15/2024 08:38 PM - Johanes Christian Kurni
- Status changed from Closed to Assigned

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

Dear
Azid,

Validasi ini tolong dibikin juga untuk widget absen di web

Port: http://rsgp.minovais.com:61144/
http://rsgp.minovais.com:61144/

Server: 45.251.75.66
DB: MinovaES_RSGP

Terima kasih.

#5 - 02/16/2024 01:04 AM - M Azid Wahyudi

dear jo, udah bisa di test ya

package :
API 2 : MinovalS.MinovaES.Business. TM.dlII

makasih

#6 - 02/16/2024 01:04 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

#7 - 02/16/2024 08:14 AM - Johanes Christian Kurni
- Status changed from QA Test to Closed

Done
